#/bin/bash

FORCE_FLAG="$1"

# Font
swift run -c release FontTool $FORCE_FLAG "./Fonts/sampleFontsAll.txt" \
 --extension-output-path "./Fonts/Generated" \
 --extension-name "UIFont" \
 --extension-suffix "GenAllScript"

echo "\n-------------------------\n"

# Color
swift run -c release ColorTool $FORCE_FLAG "./Colors/sampleColors1.txt" \
 --style all \
 --xcassets-path "./Colors/colors.xcassets" \
 --extension-output-path "./Colors/Generated/" \
 --extension-name "UIColor" \
 --extension-suffix "GenAllScript"

echo "\n-------------------------\n"

# Twine
swift run -c release Strings twine $FORCE_FLAG "./Twine/sampleStrings.txt" \
 --output-path "./Twine/Generated" \
 --langs "fr en en-us" \
 --default-lang "en" \
 --extension-output-path "./Twine/Generated"

echo "\n-------------------------\n"

# Strings
swift run -c release Strings stringium $FORCE_FLAG "./Strings/sampleStrings.txt" \
 --output-path "./Strings/Generated" \
 --langs "fr en en-us" \
 --default-lang "en" \
 --extension-output-path "./Strings/Generated" \
 --extension-name "String" \
 --extension-suffix "GenAllScript"

echo "\n-------------------------\n"

# Tags
swift run -c release Strings tags $FORCE_FLAG "./Tags/sampleTags.txt" \
 --lang "ium" \
 --extension-output-path "./Tags/Generated" \
 --extension-name "Tags" \
 --extension-suffix "GenAllScript"

echo "\n-------------------------\n"

# Images
swift run -c release Imagium $FORCE_FLAG "./Images/sampleImages.txt" \
 --xcassets-path "./Images/imagium.xcassets" \
 --extension-output-path "./Images/Generated" \
 --extension-name "UIImage" \
 --extension-suffix "GenAllScript"
